Bug 64239 - Unhandled exception when trying to partition 1.1TB volume
Unhandled exception when trying to partition 1.1TB volume
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-30 01:11 EDT by Need Real Name
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-30 01:11:10 EDT
Description of problem:
This machine has two 3ware 7850's each with 1.1 terabyte arrays.  The related 
boot messages are:

 "<4>3ware Storage Controller device driver for Linux v1.02.00.016.
  <5>scsi0 : Found a 3ware Storage Controller at 0x2460, IRQ: 9, P-chip: 1.3
  <5>scsi1 : Found a 3ware Storage Controller at 0x2470, IRQ: 10, P-chip: 1.3
  <6>scsi0 : 3ware Storage Controller
  <6>scsi1 : 3ware Storage Controller
  <4>  Vendor: 3ware     Model: 3w-xxxx           Rev: 1.0
  <4>  Type:   Direct-Access                      ANSI SCSI revision: 00
  <4>  Vendor: 3ware     Model: 3w-xxxx           Rev: 1.0
  <4>  Type:   Direct-Access                      ANSI SCSI revision: 00
  <4>Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
  <4>Attached scsi disk sdb at scsi1, channel 0, id 0, lun 0
  <4>SCSI device sda: -2053770240 512-byte hdwr sectors (47981 MB)
  <6>Partition check:
  <6> sda:
  <4>SCSI device sdb: -2053770240 512-byte hdwr sectors (47981 MB)
  <6> sdb:"

After choosing automatic partitioning or Disk Druid partitioning, an unhandled 
exception occurs with the following:

 "An unhandled exception has occured.  This is most likely a bug.  Please
  copy the full text of this exception or save the crash dump to a floppy
  then file a detailed bug report against anaconda at
  http://bugzilla.redhat.com/bugzilla/

  Traceback (innermost last):
  File "/usr/bin/anaconda", line 630, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 352, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 806, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 419, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 554, in setScreen
    new_screen = apply(self.currentWindow.getScreen, args)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1589, in getScreen
    self.populate (initial = 1)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 642, in populate
    stripe.add (part)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 224, in add
    stripe = DiskStripeSlice(self, partition, self.tree, self.editCb)
  File "/usr/lib/anaconda/iw/partition_gui.py", line 151, in __init__
    self.update()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 108, in update
    totalSectors = float(disk.dev.heads
  OverflowError: integer multiplication

  Local variables in innermost frame:
  disk: <PedDisk object at 8575ea0>
  self: <partition_gui.DiskStripeSlice instance at 84dc450>"

How reproducible:
Always

Steps to Reproduce:
1. Set up machine with a 1.1TB 3ware RAID5 array (8 Maxtor 160 gig drives).
2. Boot skipjack beta 2 CD-ROM.
3. Select automatic partitioning or Disk Druid partitioning.
Comment 1 Jeremy Katz 2002-05-06 12:30:55 EDT
python2 handles int to long conversions automatically so we get this for free in
rawhide.
Comment 2 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 3 Brent Fox 2003-05-25 10:51:33 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.